# Interface Ports

interface Ports {
byId: string[];
byOpenPlotter: string[];
byPath: string[];
serialports: unknown;
}

- Defined in serverapi.ts:467

##### Index

### Properties

byId
byOpenPlotter
byPath
serialports

## Properties

### byId

byId: string[]

- Defined in serverapi.ts:468

### byOpenPlotter

byOpenPlotter: string[]

- Defined in serverapi.ts:470

### byPath

byPath: string[]

- Defined in serverapi.ts:469

### serialports

serialports: unknown

Raw serial port info from serialport library - structure varies by platform

- Defined in serverapi.ts:472